%define Werror_cflags %nil

Summary:	Power saving diagnostic tool
Name:		powertop
Version:	1.97
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.linuxpowertop.org/
Source0:	http://www.lesswatts.org/projects/powertop/download/%{name}-%{version}.tar.gz
Patch0:		powertop-1.97-ncursesw.patch
Patch1:         powertop-1.97-linkage.patch
BuildRequires:	ncursesw-devel
BuildRequires:	ncurses-devel
BuildRequires:	libnl-devel
BuildRequires:	pciutils-devel
BuildRequires:	zlib-devel

%description
PowerTOP tool is a program that collects the various pieces of
information from a system and presents an overview of how well a
laptop is doing in terms of power savings. In addition, PowerTOP will
provide an indication of which tunables and software components are
the biggest offenders in slurping up battery time. PowerTOP will
update it's display frequently so that the impact of any changes can
be seen directly.

%prep
%setup -q
%patch0 -p1 -b .ncursesw
%patch1 -p0 -b .linkage

%build
%setup_compile_flags
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO
%{_bindir}/%{name}


%changelog
* Thu Feb 24 2011 wally <wally> 1.97-1.mga1
+ Revision: 58978
- use ldflags on build time (P1)
- fix file list
- add more BRs
- add libnl-devel BR
- rediff P1
- new version 1.97
- drop buildroot definition
- imported package powertop


* Sat Jul 31 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.13-1mdv2011.0
+ Revision: 563985
- update to new version 1.13
- drop patch 1, fixed by upstream
- pass %%setup_compile_flags
- update file list

* Sun Feb 14 2010 trem <trem@mandriva.org> 1.11-3mdv2010.1
+ Revision: 505901
- add patch to fix the segfault with latest kernel

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.11-2mdv2010.0
+ Revision: 441914
- rebuild

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.11-1mdv2009.1
+ Revision: 332840
- New upstream release

* Mon Jun 16 2008 Funda Wang <fwang@mandriva.org> 1.10-1mdv2009.0
+ Revision: 219465
- New version 1.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.9-2mdv2008.1
+ Revision: 106393
- Rebuild for new lzma

* Sat Nov 03 2007 trem <trem@mandriva.org> 1.9-1mdv2008.1
+ Revision: 105546
- update to 1.9

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 1.8-1mdv2008.0
+ Revision: 75211
- New version 1.8

* Tue Jun 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2008.0
+ Revision: 41566
- new version

* Tue May 29 2007 Olivier Blin <oblin@mandriva.com> 1.5-1mdv2008.0
+ Revision: 32610
- Patch0: use ncursesw headers
- 1.5
- buildrequires libncursesw-devel (thanks rtp for the hint)

* Tue May 22 2007 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.0
+ Revision: 29668
- 1.3

* Tue May 15 2007 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2008.0
+ Revision: 26906
- add man page

* Tue May 15 2007 Stefan van der Eijk <stefan@mandriva.org> 1.2-1mdv2008.0
+ Revision: 26832
- 1.2

* Mon May 14 2007 Olivier Blin <oblin@mandriva.com> 1.1-1mdv2008.0
+ Revision: 26655
- 1.1 (and add README/Changelog files)

* Sat May 12 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2008.0
+ Revision: 26483
- initial PowerTOP package
- Create powertop

